@import url("https://fonts.googleapis.com/css2?family=Nunito:ital,wght@0,200..1000;1,200..1000&display=swap");

body {
  font-family: "Nunito", sans-serif;
}

.banner {
  background-size: cover;
  background-position: center;

  height: 80vh;
}

@media (max-width: 992px) {
  .banner {
    height: 30vh;
    background-position: top center;
  }
}

@media (max-width: 576px) {
  .banner {
    height: 21vh;
    background-size: contain;
    background-repeat: no-repeat;
  }
}

.banner-text {
  color: white;
  padding: 20px;
  border-radius: 10px;
}

.explore-more {
  background: #34c2f4;
  color: white;
}

.explore-more:hover {
  background: #212529;
  color: #fff;
}

.images {
  width: 630px;
  height: 500px;
  border-radius: 30px !important;
}

.heading {
  font-weight: 700;
  font-style: Bold;
  font-size: 40px;
  line-height: 30px;
}

.text {
  font-weight: 400;
  font-style: Regular;
  font-size: 24px;
  line-height: 34px;
}

.footer {
  background: #141517;
}

.footer-title {
  font-weight: 590;
  font-style: Semibold;
  font-size: 23px;
  line-height: 30px;
}

.links-text {
  font-weight: 400;
  font-style: Regular;
  font-size: 16px;
  line-height: 30px;
  color: #ffffff;
  text-decoration: none;
}

.navbar-custom {
  background-color: #f8fdff;
}

.location-btn {
  background-color: #e7f8ff;
}

.nav .nav-link {
  color: grey;
  position: relative;
  padding-bottom: 5px;
}

.nav .nav-link.active {
  color: black;
  font-weight: 500;
}

.nav .nav-link.active::after {
  content: "";
  position: absolute;
  bottom: 0;
  left: 0;
  right: 0;
  height: 2px;
  background-color: #34c2f4;
}

.nav-icon {
  color: grey;
}

.nav-link.active .nav-icon {
  color: #34c2f4;
}

.form-control::placeholder {
  color: #909090 !important;
  opacity: 1;
}

.img-container {
  width: 170px;
  height: 150px;
  background: #e8f8fb;
}

@media (max-width: 1280px) {
  .img-container {
    width: 150px;
  }
}

.carousel-img {
  width: 140px;
  height: 100px;
}

.card-img-top {
  height: 160px;
  object-fit: cover;
}

.time-badge {
  top: 10px;
  left: 10px;
}

.favorite-btn {
  top: 10px;
  right: 10px;
}

h4 {
  font-weight: 590;
  font-style: Semibold;
  font-size: 35px;
  line-height: 36px;
}

.view-all {
  font-weight: 590;
  font-style: Semibold;
  font-size: 22px;
  line-height: 36px;
}

.badge-text {
  font-weight: 510;
  font-size: 10px;
  right: 20px;
  top: 10px;
  line-height: 10px;
  color: #ffffff;
}

.favorite {
  background: #eaecf0;
  border-radius: 4px;
  padding: 4px;
  right: 10px;
  bottom: -15px;
}
.isfavorite {
  background: #141517;
  border-radius: 4px;
  padding: 4px;
  right: 10px;
  bottom: -15px;
}
.favoriteDetail {
  border-radius: 4px;
  padding: 4px;
  right: 10px;
  bottom: -15px;
}
.isfavoriteDetail {
  border-radius: 4px;
  padding: 4px;
  right: 10px;
  bottom: -15px;
}
.card-title {
  font-weight: 700;
  font-size: 16px;
  line-height: 18px;
}

.card-text {
  font-weight: 400;
  font-size: 12px;
  line-height: 14px;
  color: #666666;
}

.deals {
  height: 170px;
  max-width: 100%;
}

.deals-text {
  font-weight: 700;
  font-size: 16px;
  line-height: 12px;
}

.brand-container {
  width: 163px;
  height: 163px;
  border-radius: 20px;
}

.banner-img img {
  width: 100%;
  overflow: hidden;
  object-fit: cover;
  margin-top: 20px;
}

.breadcrumb {
  --bs-breadcrumb-divider: ">";
  background: transparent;
  margin: 0;
  padding: 0;
  font-weight: 400;
  font-size: 24px;
  line-height: 30px;
}

.breadcrumb-item a {
  color: #9c9c9cfc;
  text-decoration: none;
}

.breadcrumb-item a:hover {
  color: #000;
}

.breadcrumb-item.active {
  color: #000;
  font-weight: 400;
}

.deal-card {
  background: #fff;
  border-radius: 16px;
  padding: 25px;
  box-shadow: 0 0 20px rgba(0, 0, 0, 0.05);
}

.section-box {
  background: #fff;
  border-radius: 14px;
  padding: 20px;
  margin-bottom: 20px;
  border: 1px solid #e5e5e5;
}

.badge-required {
  background: #EDEDED;
  padding: 4px 10px;
  border-radius: 6px;
  font-size: 12px;
}

.price {
  float: right;
  color: #666;
  font-weight: 500;
}

.add-cart-btn {
  background: #1eb8ff;
  color: #fff;
  border-radius: 25px;
  padding: 10px 30px;
  border: none;
  font-weight: 600;
}

.add-cart-btn:hover {
  background: #16a4e5;
}

.special-box textarea {
  border-radius: 10px;
}

.opt-heading {
  font-weight: 700;
  font-size: 20px;
  line-height: 24px;
}

.opt-subheading {
  font-weight: 400;
  font-size: 16px;
  line-height: 20px;
}

.option-name {
  font-weight: 510;
  font-size: 16px;
  line-height: 18px;
}

.form-check-label {
  cursor: pointer;
}

.price {
  font-weight: 500;
  font-size: 16px;
  color: #333;
}

.description-label {
  font-weight: 400;
  font-size: 16px;
  line-height: 18px;
}

.product-title {
  font-weight: 700;
  font-size: 30px;
  line-height: 40px;

}

.product-price {
  font-weight: 400;
  font-size: 24px;
  line-height: 18px;

}

.product-description {
  font-weight: 400;
  font-size: 16px;
  line-height: 20px;
  color: #666666;
}

.cart-card {
  border: 1px solid #e5e5e5;
  border-radius: 10px;
  padding: 1rem;
  margin-bottom: 1rem;
}

.cart-card img {
  width: 100px;
  height: auto;
  border-radius: 8px;
}

.order-summary {
  background: #f6faff;
  border-radius: 10px;
  padding: 1rem;
}

.divider {
  border-top: 1px dashed #ddd;
  margin: 0.75rem 0;
}

.cart-heading {
  font-weight: 590;
  font-size: 35px;
  line-height: 36px;
}

.cart-title {
  font-weight: 700;
  font-size: 18px;
  line-height: 28px;
}

.cart-description {
  font-weight: 400;
  font-size: 14px;
  line-height: 100%;
  color: #666666;
}

.cart-price {
  font-weight: 400;
  font-size: 16px;
  line-height: 100%;
}

.order-summary {
  background: #f8fdff;
}

.order-title {
  font-weight: 590;
  font-size: 18px;
  line-height: 100%;
}

.order-items {
  font-weight: 400;
  font-size: 14px;
  line-height: 100%;
}

.total {
  font-weight: 590;
  font-size: 16px;
  line-height: 28px;
}

.custom-input {
  background-color: #fbfbfb;
  border: 1px solid #eeeeee;
}

.checkout-heading {
  font-weight: 590;
  font-size: 24px;
  line-height: 100%;
  color: #34c2f4;
}

.custom-radio {
  position: relative;
  /* important for positioning */
  display: flex;
  align-items: center;
  gap: 8px;
}

.custom-radio .form-check-input {
  appearance: none;
  -webkit-appearance: none;
  -moz-appearance: none;
  width: 12px;
  height: 12px;
  border: 2px solid #0dcaf0;
  border-radius: 50%;
  background-color: #fff;
  cursor: pointer;
  transition: all 0.2s ease-in-out;

  position: static;
  margin: 0;
}

.custom-radio .form-check-input:checked {
  background-color: #0dcaf0;
  border-color: #0dcaf0;
}

.custom-radio .form-check-input:checked[type="radio"] {
  background-image: none !important;
}

.loyalty-points {
  color: #93370d;
}

.product-checkout {
  width: 61px;
  height: 56px;
  border-radius: 10px;
}

.order-checkout {
  font-weight: 590;
  font-size: 30px;
  line-height: 30px;
}

.order-restaurant {
  font-weight: 400;
  font-size: 20px;
  line-height: 30px;
}

.checkout-item {
  font-weight: 400;
  font-size: 16px;
  line-height: 28px;
}

.checkout-description {
  font-weight: 400;
  font-size: 12px;
  line-height: 100%;
}

.cart-img {
  object-fit: cover;
  height: 100%;
  width: 136px;
  border-radius: 10px;
}

.custom-input::placeholder {
  font-size: 14px;
  color: #909090;
  font-weight: 400;
}

.loyalty-note {
  color: #fe1c0c;
  font-weight: 400;
  font-size: 14px;
  line-height: 100%;
}

.title-fixed {
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
}

.desc-fixed {
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
}


/* detailspage */

body {
  margin: 0;
  padding: 0;
  overflow-x: hidden;
}


.header {
  background-color: #1d191a;
  padding: 20px;
  color: white;
}

.logo-img {
  height: 148px;
}

.restaurant {
  margin-top: -30px;
  background: white;
  border-radius: 10px;
}

.toggle-container {
  width: 150px;
  height: 40px;
  border: 1px solid #ccc;
  border-radius: 20px;
  display: flex;
  overflow: hidden;
  background-color: white;
}

.option {
  flex: 1;
  text-align: center;
  line-height: 40px;
  cursor: pointer;
  transition: all 0.3s ease;
}

.selected {
  background-color: #00bfff;
  color: white;
}

.unselected {
  background-color: white;
  color: black;
}

.option i {
  font-size: 18px;
}

.promo-card {
  background-color: #EBFFE3;
  border-radius: 10px;
  padding: 15px 25px;
  margin-bottom: 20px;
  width: 351px;
  height: 122px;
}

.promo-icon {
  font-size: 24px;
  color: #f4c430;
  margin-right: 10px;
}

.nav-tabs .nav-link.active {
  font-weight: 600;
  border-bottom: 2px solid #00aaff;
}

.search-bar {
  background-color: #f3f3f3;
  border-radius: 25px;
  padding-left: 15px;
  display: flex;
  align-items: center;
}

.search-bar input {
  border: none;
  background: transparent;
  outline: none;
  width: 100%;
  padding: 10px;
}

.card-offer {
  border: 1px solid #ddd;
  border-radius: 10px;
  transition: 0.3s;
}

.card-offer:hover {
  box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);
}

.card-offer img {
  border-radius: 10px 10px 0 0;
  height: 180px;
  object-fit: cover;
}

.add-icon {
  font-size: 20px;
  cursor: pointer;
  float: right;
}

/* piza popup */
/* piza new pop */
.pizza-overlay {
  position: absolute;
  bottom: 0;
  background: rgba(0, 0, 0, 0.6);
  padding: 20px;
  width: 100%;
  color: #fff;
  border-radius: 60px;
}

.qty-input {
  width: 50px;
  text-align: center;
}

.object-fit-cover {
  object-fit: cover;
}

.sticky-bottom {
  position: sticky;
  bottom: 0;
}

.sticky-footer {
  position: sticky;
  bottom: 0;
  z-index: 1050;
  border-top: 1px solid #eee;
}

.rounded-section {
  border: 1px solid #ddd;
  border-radius: 12px;
  padding: 16px;
  margin-bottom: 24px;
  box-shadow: 0 1px 4px rgba(0, 0, 0, 0.05);
}


/* .footer-container {
  position: absolute;
  top: 1344px;
  left: 642px;
  width: 718px;
  height: 120px;
  background: white;
  border-bottom-right-radius: 60px;
  padding: 10px 20px;
  box-shadow: 0 -2px 10px rgba(0, 0, 0, 0.1);
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}


.choose-flavor {
  font-size: 14px;
}


.cart-actions {
  display: flex;
  align-items: center;
  justify-content: space-between;
  margin-top: 10px;
}

.add-to-cart {
  background-color: #00bfff;
  color: white;
  border: none;
  padding: 8px 20px;
  border-radius: 25px;
  font-weight: bold;
} */
.promo-icon {
  font-size: 24px;
  color: #f4c430;
  margin-right: 10px;
}

.nav-tabs .nav-link.active {
  font-weight: 600;
  border-bottom: 2px solid #00aaff;
}

.search-bar {
  background-color: #f3f3f3;
  border-radius: 25px;
  padding-left: 15px;
  display: flex;
  align-items: center;
}

.search-bar input {
  border: none;
  background: transparent;
  outline: none;
  width: 100%;
  padding: 10px;
}

.card-offer {
  border: 1px solid #ddd;
  border-radius: 10px;
  transition: 0.3s;
}

.card-offer:hover {
  box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);
}

.card-offer img {
  border-radius: 10px 10px 0 0;
  height: 180px;
  object-fit: cover;
}

.add-icon {
  font-size: 20px;
  cursor: pointer;
  float: right;
}

.grocery-img {
  height: 143px;
  border-top-left-radius: 10%;
  border-top-right-radius: 10%;

}

.grocery-price {
  font-weight: 700;
  font-size: 14px;
  line-height: 18px;

}

.grocery-card {
  border: 1px solid #F1EFEF;
}

.category-progress-wrapper {
  width: 100%;
  height: 4px;
  background-color: #ccc;
  /* Grey background line */
  border-radius: 2px;
  overflow: hidden;
  margin-top: 8px;
}

.category-progress {
  width: 0%;
  height: 100%;
  background-color: #007bff;
  /* Blue for active portion */
  transition: width 0.3s ease;
}

.category-card {
  background: #ffffff;
  border-radius: 16px;
  box-shadow: 0 2px 8px rgba(0, 0, 0, 0.08);
  border: 1px solid #f1f1f1;
  transition: 0.3s;
}

.category-card:hover {
  box-shadow: 0 3px 12px rgba(0, 0, 0, 0.12);
}

.category-card .image-box {
  width: 100px;
  height: 115px;
  padding: 20px;
  border-radius: 8px;
  display: flex;
  align-items: center;
  justify-content: center;
}

.category-card img {
  height: 99px;
  width: 86px;
  object-fit: contain;
}

.category-card .title {
  font-weight: 700;
  color: #34C2F4;
  font-size: 16px;
}

.category-card .subtitle {
  color: #666666;
  font-size: 14px;
}

.see-more {
  color: #34C2F4;
  font-weight: 400;
  text-decoration: none;
  font-size: 14px;
}

.see-more .arrow {
  width: 6.666666507720947;
  height: 3.6666667461395264;

}

.product-card {
  background: #fff;
  border-radius: 14px;
  padding: 20px;
}

.thumb-img {
  border: 1px solid #eee;
  padding: 10px;
  cursor: pointer;
  width: 90px;
  height: 80px;
  border-radius: 10px;

}

.main-img {
  border: 1px solid #eee;
  padding: 10px;
  width: 408px;
  height: 350px;
  border-radius: 20px;

}

.detail-price {
  font-size: 20px;
  font-weight: 600;
}
.detail-title {
font-weight: 590;
font-size: 35px;
line-height: 36px;

}
.detail-price{
font-weight: 510;
font-size: 24px;
line-height: 36px;
color: #666666;
}
.detail-description{
font-weight: 400;
font-size: 16px;
line-height: 26px;
color: #41403F;
}
.rating i {
  color: #f7b500;
  font-size: 14px;
}

.info-text {
font-weight: 590;
font-size: 16px;
line-height: 36px;
color: #41403F;

}

.badge-status {
  font-size: 12px;
  color: #28a745;
  font-weight: 500;
}

.expiry {
  font-size: 16px;
  font-weight: 590;

  color: #FF452A;
}

.store-box {
  background: #BCEEFF;
  border-radius: 8px;
  padding: 8px 12px;
  font-size: 12px;
  color: #141517;
  display: flex;
  align-items: center;
  gap: 6px;
}

.pack-box {
  border: 1px solid #34C2F4;
  border-radius: 10px;
  padding: 12px 14px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-bottom: 10px;
  font-size: 14px;
  cursor: pointer;
}

.pack-box:hover {
  background: #f4fbff;
}

.add-cart {
  background: #36b6e9;
  border: none;
  border-radius: 30px;
  padding: 2px;
  font-size: 24px;
  font-weight: 400;
}

.review-box {
  font-size: 13px;
}

.active-thumb {
  border: 2px solid #0d6efd;
}

.main-img img {
  width: 271px;
  height: 311px;
}
.icons{
  height: 30px;
  width: 30px;
}
.product-availability{
font-weight: 510;
font-size: 18px;
line-height: 30px;
color: #34C2F4;
}
.review-heading{

font-weight: 700;
font-size: 18px;
line-height: 20px;
color: #34C2F4;
}
.see-all{
font-weight: 500;
font-size: 12px;
line-height: 18px;
color: #34C2F4;

}
.person-img{
width: 50px;
height: 50px;
}
.review-name{
font-weight: 590;
font-size: 16px;
line-height: 18px;
color: #34C2F4;
}
.comment{
font-weight: 400;
font-size: 16px;
line-height: 18px;
color: #666666;
}


.orderbox { border: 1px solid #e2f3fa; font-size: 16px; }

.cart_clear .clearfix{ display: flex;justify-content: space-between;align-items: center;}
.cart_clear .clearfix:after{ display: none;}
.orderbox.p-3 .mb-3.nexa-bold.c-f-o { font-size: 26px; }

.prmo-discount-row .clearfix { display: flex; justify-content: space-between; align-items: center; border-bottom: 1px solid #ccc; padding: 10px 0; }
.prmo-discount-row .clearfix:nth-last-child(2){ border-bottom: none;}
.prmo-discount-row .clearfix:after{ display: none;}
.btn.btn-sm.btn-light {	border: var(--bs-border-width) solid var(--bs-border-color); }
.orderbox h5 { margin: 0; font-size: 16px; text-transform: capitalize; }
.img_bgs { background: #e2f3fa; border: 1px solid #e2f3fa; }
